# Glib::SignalProxyProperty Class Reference

Use the connect() method, with sigc::ptr_fun() or sig::mem_fun() to connect signals to signal handlers. More...

Inherits Glib::SignalProxyBase.

Collaboration diagram for Glib::SignalProxyProperty:
[legend]

List of all members.

## Public Types

typedef sigc::slot< void > | SlotType

## Public Member Functions

| SignalProxyProperty (Glib::ObjectBase* obj, const gchar* property_name)
| ~SignalProxyProperty ()
sigc::connection | connect (const SlotType& sl)

## Protected Attributes

const char* | property_name_

## Detailed Description

Use the connect() method, with sigc::ptr_fun() or sig::mem_fun() to connect signals to signal handlers.

## Member Typedef Documentation

typedef sigc::slot<void> Glib::SignalProxyProperty::SlotType

## Constructor & Destructor Documentation

Glib::SignalProxyProperty::SignalProxyProperty | ( | Glib::ObjectBase* | obj,
|  | const gchar * | property_name |
| ) |  |  |

Glib::SignalProxyProperty::~SignalProxyProperty | ( |  | ) |

## Member Function Documentation

sigc::connection Glib::SignalProxyProperty::connect | ( | const SlotType& | sl | ) |

## Member Data Documentation

const char* Glib::SignalProxyProperty::property_name_`[protected]`

The documentation for this class was generated from the following file:

- glibmm/propertyproxy_base.h